package com.cool.store.service;

import com.cool.store.request.oppty.*;
import com.cool.store.response.oppty.CityResponse;
import com.cool.store.response.oppty.OpportunityDetailResponse;
import com.cool.store.response.oppty.OpportunityInfoPageResponse;

import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2025/3/26 14:50
 * @Version 1.0
 * 正新 第三方机会点服务
 */
public interface ThirdOpportunityService {


    /**
     * 机会点列表 我的机会点列表
     * @param request
     * @return
     */
    OpportunityInfoPageResponse listOpportunities(OpportunityListRequest request);


    /**
     * 查询机会点详情
     * @param opportunityDetailRequest
     * @return
     */
    OpportunityDetailResponse getOpportunitiesDetail(OpportunityDetailRequest opportunityDetailRequest);

    /**
     * 关注机会点
     * @param request
     * @return
     */
    String followOpportunity(FollowRequest request);

    /**
     * 考察机会点
     * @param request
     * @return
     */
    String inspectionOpportunity(InspectionRequest request);

    /**
     * 铺位关注机会点
     * @param requestBody
     * @return
     */
    String berthOperation(BerthOperationRequest requestBody);

    /**
     * 门店关注机会点
     * @param requestBody
     * @return
     */
    String storeOperation(StoreOperationRequest requestBody);

    /**
     * 省市区列表
     * @param request
     * @return
     */
    List<CityResponse> cityList(CityRequest request);


}
